<?php 
// Welcome to 乐众系统&IDC财务管理系统
// Copyright (c)  http://www.lzsys.com/ All rights reserved.
// Business authorization email server@lzsys.com
// 欢迎使用乐众系统&IDC财务管理系统

// [短信宝应用 功能模块]

/**
 * -----接口通讯检测
 */
function smsbao_status_vhost($plugin) {
    $api_config = $plugin->api_config();
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], "短信内容", "手机号", 'query');
    if ($get_status == "接口通讯成功") {
        $status = array('status' => true, 'msg' => "接口通讯成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status, 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 

/**
 * -----发送客户登录短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_login($plugin) {
    $asset_data = $plugin->asset_data(); // asset_data中包含了客户登录的信息  可通过打印数组查看
    $api_config = $plugin->api_config(); // api_config['remark'] 中包含了 渠道的信息 如 账号 密码等
	if($api_config['remark']['login']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
    $sms_content = "【".$app_data['app_name']."】登录通知，你的账号于" . date("Y-m-d H:i:s", time()) . "在IP ".$plugin->ide->lzsys_system->get_ip() . "" . "登录成功，若非你登录，请及时联系客服";

    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----发送客户登录失败短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_login_error($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['login_error']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
    $sms_content = "【".$app_data['app_name']."】登录通知，你的账号于" . date("Y-m-d H:i:s", time()) . "在IP ".$plugin->ide->lzsys_system->get_ip()  . "尝试登录失败，若非你登录，请及时联系客服";

    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----发送客户注册短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_reg($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['reg']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
    $sms_content = "【".$app_data['app_name']."】你已经成功注册账号，你的初始密码" . $asset_data['pass'];
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----发送客户登录验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_login_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['login_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
    $sms_content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户注册验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_reg_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['reg_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
    $sms_content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户找回密码验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_retrieve_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['retrieve_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$sms_content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户购买商品通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_buy($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['buy']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$sms_content = "【".$app_data['app_name']."】商品购买成功,商品名称".$asset_data['shop_product']['product_name'].",购买时间".date("Y-m-d H:i:s",$asset_data['buy_data']['begin_time']).",到期时间".date("Y-m-d H:i:s",$asset_data['buy_data']['end_time']);
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户充值余额通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_pay($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['pay']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$sms_content = "【".$app_data['app_name']."】你的余额充值已到账，充值金额：￥".$asset_data['orders']['money']."，充值时间：".date("Y-m-d H:i:s",$asset_data['orders']['end_time']);
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}

/**
 * -----发送客户实名认证验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_auth_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['auth_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$sms_content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户实名认成功短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_auth_yes($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['auth_yes']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$sms_content = "【".$app_data['app_name']."】恭喜你已经通过实名认证，如有问题请联系平台客服";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}

/**
 * -----发送客户续费资产通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_renew($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['renew']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$sms_content = "【".$app_data['app_name']."】资产续费成功,资产名称".$asset_data['shop_product']['asset_name'].",续费时间".date("Y-m-d H:i:s",$asset_data['buy_data']['begin_time']).",到期时间".date("Y-m-d H:i:s",$asset_data['buy_data']['end_time']);
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送工单回复 短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_me_ods($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['me_ods']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$renid = $asset_data['renid'];
	$tel = $asset_data['mobile'];
	$sms_content = "【".$app_data['app_name']."】你提交的工单已经有了新的回复，请登录平台查看哦";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送退款回复 短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_refund($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['refund']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$renid = $asset_data['renid'];
	$tel = $asset_data['mobile'];
	$sms_content = "【".$app_data['app_name']."】你的申请退款已经有了新的进展，请登录平台查看哦";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送发票回复 短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_invoice($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['invoice']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$renid = $asset_data['renid'];
	$tel = $asset_data['mobile'];
	$sms_content = "【".$app_data['app_name']."】你申请的发票已经有了新的进展，请登录平台查看哦";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送资产到期当天短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_expire($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['expire']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$tel = $asset_data['mobile'];
	$sms_content = "【".$app_data['app_name']."】你购买的资产".$asset_data['shop_product']."于今天到期，已经删除到回收站，三天后彻底删除";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送资产到期前三天短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_sexpire($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['sexpire']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$tel = $asset_data['mobile'];
	$sms_content = "【".$app_data['app_name']."】你购买的资产".$asset_data['shop_product']."将于三天后到期，请及时续费哦";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送资产到期删除短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function smsbao_dells($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['dells']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$tel = $asset_data['mobile'];
	$sms_content = "【".$app_data['app_name']."】你购买的资产".$asset_data['shop_product']."由于超时没有续费，已经彻底删除";
    $get_status = $plugin->smsbao($api_config['remark']['account'], $api_config['remark']['secret'], $sms_content, $asset_data['mobile'], 'sms');

	if($get_status=="短信发送成功"){
		$status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}